> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperrails.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Banks

> Get details of all banks, their names and codes



## OpenAPI

````yaml GET /transfers/banks/{currency}
openapi: 3.1.0
info:
  title: HyperRail
  description: HyperRail documentation
  license:
    name: MIT
  version: 1.0.0
servers:
  - description: Live server
    url: https://api.hyperrails.io/api/v1
security:
  - bearerAuth: []
paths:
  /transfers/banks/{currency}:
    get:
      tags:
        - Transfers
      summary: List Supported Banks
      description: >-
        Retrieves a list of supported banks and their corresponding bank codes
        for a specific currency.
      operationId: getTransferBanks
      parameters:
        - name: currency
          in: path
          required: true
          description: The currency for which you want to retrieve the bank list.
          schema:
            type: string
            enum:
              - NGN
              - GHS
            example: NGN
        - name: x-service-source
          in: header
          required: true
          description: Identifies the calling service.
          schema:
            type: string
            default: HyperRails
            example: HyperRails
      responses:
        '200':
          description: A JSON array of bank objects.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Bank'
        '400':
          description: Bad Request - Invalid currency or missing headers
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized - Invalid API credentials
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Bank:
      type: object
      properties:
        bankCode:
          type: string
          example: SPB-17646
        bankName:
          type: string
          example: Nombank
    Error:
      required:
        - code
        - message
      type: object
      properties:
        code:
          type: string
          description: Error code
          example: INVALID_CURRENCY
        message:
          type: string
          description: Error message
          example: 'Invalid source currency. Supported: NGN, GHS'
        details:
          type: object
          description: Additional error details
          additionalProperties: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: API key authentication using Bearer token

````